%define lib_major 2
%define lib_name %mklibname icc %{lib_major}
%define lib_name_devel %mklibname icc -d

Name:    icclib
Version: 2.13
Release: %mkrel 4
Summary: ICC profile I/O library

Group:     Graphics/Utilities
License:   GPLv3
URL:       http://www.argyllcms.com/
Source0:   http://www.argyllcms.com/icclib_V%{version}.zip
# (fc) 2.1-0.beta.1mdv change build system to use autotools (Debian)
Patch0:    icclib-2.1-autotools.patch
Patch1: icclib-2.13-CVE-2012-4405.diff

%description
The icclib is a set of routines which implement the reading and
writing of color profile files that conform to the International
Color Consortium (ICC) Profile Format Specification, Version 3.4.

%package -n %{lib_name}
Summary:        Libraries for icclib
Group:          System/Libraries

%description -n %{lib_name}
The icclib is a set of routines which implement the reading and
writing of color profile files that conform to the International
Color Consortium (ICC) Profile Format Specification, Version 3.4.

%package -n %{lib_name_devel}
Summary:        Development libraries, header files for icclib
Group:          Development/GNOME and GTK+
Requires:       %{lib_name} = %{version}
Provides:	icclib-devel = %{version}-%{release}

%description -n %{lib_name_devel}
The icclib is a set of routines which implement the reading and
writing of color profile files that conform to the International
Color Consortium (ICC) Profile Format Specification, Version 3.4.


%prep
%setup -q -c
%patch0 -p1 -b .autotools
%patch1 -p0 -b .CVE-2012-4405

#needed by patch0
autoreconf -fi

%build
%configure2_5x --disable-static
%make

%check
make check

%install
%makeinstall_std

rm -fr %buildroot%_libdir/*.la

%files 
%{_bindir}/*

%files -n %{lib_name}
%doc License.txt
%{_libdir}/*.so.%{lib_major}*

%files -n %{lib_name_devel}
%doc log.txt Readme.txt todo.txt
%{_libdir}/*.so
%{_includedir}/*




%changelog

* Thu Jan 24 2013 fwang <fwang> 2.13-4.mga3
+ Revision: 391852
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 oden <oden> 2.13-2.mga3
+ Revision: 292726
- P1: security fix for CVE-2012-4405

* Tue May 08 2012 fwang <fwang> 2.13-1.mga2
+ Revision: 234875
- new version 2.13

* Sat Oct 01 2011 dmorgan <dmorgan> 2.12-1.mga2
+ Revision: 150688
- Fix typo
- imported package icclib

